<?php
/*--------------------------------------------+
| PHP-Fusion 5.01 - Content Management System |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk |
| email: nick@php-fusion.co.uk |
|---------------------------------------------|
| Released under the terms and conditions of |
| the GNU General Public License (Version 2) |
+--------------------------------------------*/

/*  Created for PHP-FUSION 6.0
	Mod 2005 Petter Paulsson
	http://www.php-fusion.se/
	Gets its name from panel administration. */


if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!defined("DB_ONLINE")) {
define("DB_ONLINE", DB_PREFIX."online");
}
if (!defined("DB_PANELS")) {
define("DB_PANELS", DB_PREFIX."panels");
}
if (!defined("DB_SETTINGS")) {
define("DB_SETTINGS", DB_PREFIX."settings");
}
if (!defined("DB_USERS")) {
define("DB_USERS", DB_PREFIX."users");
}
if (!defined("DB_PHOTOS")) {
define("DB_PHOTOS", DB_PREFIX."photos");
}
if (!defined("DB_PHOTO_ALBUMS")) {
define("DB_PHOTO_ALBUMS", DB_PREFIX."photo_albums");
}
if (!defined("DB_SHOUTBOX")) {
define("DB_SHOUTBOX", DB_PREFIX."shoutbox");
}
if (!defined("DB_FORUMS")) {
define("DB_FORUMS", DB_PREFIX."forums");
}
if (!defined("DB_THREADS")) {
define("DB_THREADS", DB_PREFIX."threads");
}
if (!defined("DB_POSTS")) {
define("DB_POSTS", DB_PREFIX."posts");
}
if (!defined("DB_WEBLINK_CATS")) {
define("DB_WEBLINK_CATS", DB_PREFIX."weblink_cats");
}
if (!defined("DB_WEBLINKS")) {
define("DB_WEBLINKS", DB_PREFIX."weblinks");
}
if (!defined("DB_ARTICLES")) {
define("DB_ARTICLES", DB_PREFIX."articles");
}
if (!defined("DB_NEWS")) {
define("DB_NEWS", DB_PREFIX."news");
}
if (!defined("DB_COMMENTS")) {
define("DB_COMMENTS", DB_PREFIX."comments");
}
if (!defined("DB_DOWNLOADS")) {
define("DB_DOWNLOADS", DB_PREFIX."downloads");
}
if (!defined("DB_DOWNLOAD_CATS")) {
define("DB_DOWNLOAD_CATS", DB_PREFIX."download_cats");
}


if (file_exists(INFUSIONS."online_users_extend_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."online_users_extend_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."online_users_extend_panel/locale/English.php";
}

if ($settings['maintenance'] != "1") {
	$cond = ($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'");
	$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user=".$cond."");
	if (dbrows($result) != 0) {
		$result = dbquery("UPDATE ".DB_ONLINE." SET online_lastactive='".time()."' WHERE online_user=".$cond."");
	} else {
		$name = ($userdata['user_level'] != 0 ? $userdata['user_id'] : "0");
		$result = dbquery("INSERT INTO ".DB_ONLINE." VALUES('".$name."', '".USER_IP."', '".time()."')");
	}
	if (isset($_POST['login'])) {
		$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_user='0' AND online_ip='".USER_IP."'");
	} else if (isset($logout)) {
		$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_ip='".USER_IP."'");
	}
	$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_lastactive<".(time()-60)."");

	// Get Panel Name from Database
	$panel_name = dbresult(dbquery("SELECT panel_name FROM ".DB_PANELS." WHERE panel_filename = 'online_users_extend_panel'"),0);

	opensidex("$panel_name","on");

		$sitename = dbresult(dbquery("SELECT sitename FROM ".DB_SETTINGS.""),0);

		echo "<div style='text-align:center;font-weight:bold'>".$sitename."<br />".$locale['OUE_001']."<br />\n";

		$result = dbquery("SELECT user_id,user_name FROM ".DB_USERS." ORDER BY user_joined DESC");
		$total = dbrows($result);
		$data = dbarray($result);

		echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>".$data['user_name']."</a><br />".$locale['OUE_002']."</div>\n";
		$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user='0'");

		echo "<hr>";

		echo $locale['OUE_025'].$total."<br />";
		echo "<br />";

		//antal Superadmins
		$total = dbrows(dbquery("SELECT user_id, user_level FROM ".DB_USERS." WHERE user_level='103'"));
		echo $locale['OUE_003'].$total. "<br />\n";
		
		//antal Admins
		$total = dbrows(dbquery("SELECT user_id, user_level FROM ".DB_USERS." WHERE user_level='102'"));
		echo $locale['OUE_004'].$total. "<br />";
		
		//antal almindelige medlemmer
		$total = dbrows(dbquery("SELECT user_id, user_level FROM ".DB_USERS." WHERE user_level='101'"));
		echo $locale['OUE_005'].$total. "<br />";

		echo "<hr>".$locale['OUE_024']."<br ><br />\n";

		$result=dbquery("SELECT * FROM ".DB_USERS." ORDER BY user_lastvisit DESC LIMIT 0,5");

		echo "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" class=\"\">";
		if(dbrows($result)!=0){
			while($data=dbarray($result)){
				$lastseen = time() - $data['user_lastvisit'];
				$iW = sprintf("%2d", floor($lastseen/604800));
				$iD = sprintf("%2d", floor($lastseen/(60*60*24)));
				$iH = sprintf("%02d", floor((($lastseen%604800)%86400)/3600));
				$iM = sprintf("%02d", floor(((($lastseen%604800)%86400)%3600)/60));
				$iS = sprintf("%02d", floor((((($lastseen%604800)%86400)%3600)%60)));
				if ($lastseen < 60) {
					$lastseen="<nobr><img src='".IMAGES."online.gif'></nobr>";
				} elseif ($lastseen < 360) {
					$lastseen="<nobr><img src='".IMAGES."offline.gif'></nobr>";
				} elseif ($iW > 0) {
					if ($iW == 1) $Text= $locale['OUE_020'];
					else $Text= $locale['OUE_021'];
					$lastseen="<nobr>$iW $Text</nobr>";
				}elseif($iD > 0){
					if ($iD == 1) $Text= $locale['OUE_022'];
					else $Text= $locale['OUE_023'];
					$lastseen="<nobr>$iD $Text</nobr>";
				} else {
					$lastseen="$iH:$iM:$iS";
				}

				echo "<tr><td class=\"small\" align=\"left\"><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>";
				echo $data['user_name']."</a></td><td class=\"small2\" align=\"right\">".$lastseen."</td></tr>";
			}
		} 
		echo "</table>";

		echo "<hr>";
		$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user='0'");
		echo $locale['OUE_026'].dbrows($result)."<br />\n";
		
		echo "<hr>";
		$userip = $_SERVER['REMOTE_ADDR'];
		$host = gethostbyaddr($userip);
		
		echo $locale['OUE_006'].$userip."<br />";$photocount = dbquery("SELECT count(photo_id) FROM ".DB_PHOTOS."");
		$albumcount = dbquery("SELECT count(album_id) FROM ".DB_PHOTO_ALBUMS."");
		$usercount = dbquery("SELECT count(user_id) FROM ".DB_USERS."");
		$shoutcount = dbquery("SELECT count(shout_id) FROM ".DB_SHOUTBOX."");
		$fkategoriecount = dbquery("SELECT count(forum_id) FROM ".DB_FORUMS."");
		$fthemencount = dbquery("SELECT count(thread_id) FROM ".DB_THREADS."");
		$fbeitrgecount = dbquery("SELECT count(post_id) FROM ".DB_POSTS."");
		$linkkategoriecount = dbquery("SELECT count(weblink_cat_id) FROM ".DB_WEBLINK_CATS."");
		$linkcount = dbquery("SELECT count(weblink_id) FROM ".DB_WEBLINKS."");
		$articlecount = dbquery("SELECT count(article_id) FROM ".DB_ARTICLES."");
		$newscount = dbquery("SELECT count(news_id) FROM ".DB_NEWS."");
		$result = dbquery("SELECT count(comment_id) FROM ".DB_COMMENTS."");
		$online_user = dbquery("SELECT count(online_user) FROM ".DB_ONLINE."");
		$downloadcount = dbquery("SELECT count(download_id) FROM ".DB_DOWNLOADS."");
		$downloadcountcat = dbquery("SELECT count(download_cat_id) FROM ".DB_DOWNLOAD_CATS."");
		$userip = $_SERVER['REMOTE_ADDR'];
		$host = gethostbyaddr($userip);
		echo "<hr>";

		echo "<table border='0' width='100%' class='small'>
			<tr><td class='small'>".$locale['OUE_007']."</td><td align='right' class='small'>".number_format(dbresult($fkategoriecount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_008']."</td><td align='right' class='small'> ".number_format(dbresult($fthemencount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_009']."</td><td align='right' class='small'>".number_format(dbresult($fbeitrgecount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_010']."</td><td align='right' class='small'>".number_format(dbresult($result, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_012']."</td><td align='right' class='small'>".number_format(dbresult($newscount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_013']."</td><td align='right' class='small'>".number_format(dbresult($articlecount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_014']."</td><td align='right' class='small'>".number_format(dbresult($albumcount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_015']."</td><td align='right' class='small'>".number_format(dbresult($photocount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_016']."</td><td align='right' class='small'>".number_format(dbresult($downloadcount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_017']."</td><td align='right' class='small'>".number_format(dbresult($downloadcountcat, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_027']."</td><td align='right' class='small'>".number_format(dbresult($downloadcount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_018']."</td><td align='right' class='small'>".number_format(dbresult($linkcount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_028']."</td><td align='right' class='small'>".number_format(dbresult($linkkategoriecount, 0))."</td></tr>
			<tr><td class='small'>".$locale['OUE_019']."</td><td align='right' class='small'>".number_format(dbresult($shoutcount, 0))."</td></tr>
		</table>";

	closeside();
}
?>
